Package org.eclipse.net4j.util.collection

## Class PredicateIterator<T>

- java.lang.Object
- - org.eclipse.net4j.util.collection.AbstractIterator<T>
  - - org.eclipse.net4j.util.collection.AbstractFilteredIterator<T>
    - - org.eclipse.net4j.util.collection.PredicateIterator<T>

- All Implemented Interfaces:
    `java.util.Iterator<T>`

      @Deprecated
      public class PredicateIterator<T>
      extends AbstractFilteredIterator<T>

  Deprecated.
  As of 3.10 use `AbstractFilteredIterator.Predicated`.
  Since:
    3.3
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.collection.AbstractFilteredIterator

      `AbstractFilteredIterator.Predicated<T>`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.collection.AbstractIterator

      `END_OF_DATA`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PredicateIterator​(java.util.Iterator<T> delegate, Predicate<? super T> predicate)` | Deprecated.
    `PredicateIterator​(Predicate<? super T> predicate, java.util.Iterator<T> delegate)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Predicate<? super T>` | `getPredicate()` | Deprecated.
    `protected boolean` | `isValid​(T element)` | Deprecated.

    - ### Methods inherited from class org.eclipse.net4j.util.collection.AbstractFilteredIterator

      `computeNextElement, remove`

    - ### Methods inherited from class org.eclipse.net4j.util.collection.AbstractIterator

      `empty, hasNext, next`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### PredicateIterator

          public PredicateIterator​(java.util.Iterator<T> delegate,
                                   Predicate<? super T> predicate)

      Deprecated.

    - #### PredicateIterator

          public PredicateIterator​(Predicate<? super T> predicate,
                                   java.util.Iterator<T> delegate)

      Deprecated.
      Since:
        3.4

  - ### Method Detail

    - #### getPredicate

          public Predicate<? super T> getPredicate()

      Deprecated.

    - #### isValid

          protected boolean isValid​(T element)

      Deprecated.
      Specified by:
        `isValid` in class `AbstractFilteredIterator<T>`